package com.goafanti.common.dao;

import com.goafanti.common.model.TaskFeature;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 项目申报详情日志(TaskFeature)表数据库访问层
 *
 * @author makejava
 * @since 2025-01-02 15:36:03
 */
public interface TaskFeatureMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TaskFeature selectById(Integer id);

    

    /**
     * 查询指定行数据
     *
     * @param taskFeature 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<TaskFeature> findTaskFeatureList(TaskFeature taskFeature, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param taskFeature 查询条件
     * @return 总行数
     */
    int findTaskFeatureCount(TaskFeature taskFeature);

    /**
     * 新增数据
     *
     * @param taskFeature 实例对象
     * @return 影响行数
     */
    int insert(TaskFeature taskFeature);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TaskFeature> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TaskFeature> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TaskFeature> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TaskFeature> entities);

    /**
     * 修改数据
     *
     * @param taskFeature 实例对象
     * @return 影响行数
     */
    int update(TaskFeature taskFeature);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);


    List<TaskFeature> selectByTdId(Integer id);
}

